%this code prints all estimated parameters and standard deviations on the
%screen.

%1) run dynare ctw.mod with loaded mode
%2) then run this code

global M_ options_ oo_ estim_params_ 
global bayestopt_ dsge_prior_weight

nvx = estim_params_.nvx;
nvn = estim_params_.nvn;
ncx = estim_params_.ncx;
ncn = estim_params_.ncn;
np  = estim_params_.np ;
nx  = nvx+nvn+ncx+ncn+np;

ip = nvx+nvn+ncx+ncn+1;

load ctw_employer_surplus_mean_MASTER100503 %ctw_employer_surplus_mean_nice.mat
disp('loaded from ctw_employer_surplus_mean_MASTER100503')
keyboard
%load ctw_employer_surplus_mean.mat

for i=1:np
      name = bayestopt_.name{ip};
      eval([name ' = xparam1(ip);'])
            disp(sprintf('%12s %12s %7.5f %12s ', ...
		   name,'=',xparam1(ip),';'));
      ip = ip+1;
end
disp('shocks;');
ip=1;
for i=1:nvx
    k = estim_params_.var_exo(i,1);   
    name = deblank(M_.exo_names(k,:));    
    %eps_startindex=strfind(name,'_eps');    
    %name=name(1:eps_startindex-1);
        eval([name ' = xparam1(ip);'])
            disp(sprintf('%12s %12s %12s %7.5f %0s %0s ', ...
		   'var',name,'=',xparam1(ip),'^2',';'));
    ip=ip+1;
end
disp('end;');



