%this code prints all estimated parameters and standard deviations on the
%screen. Output can easily be copied into a .mod file to use the estimtated
%parameters e.g. for impulse response analysis

% this version adjusted to produce input for initial values for next estimation

%1) run dynare ctw.mod with loaded mode
%2) then run this code
%3) copy estimated parateters into mod code if desired


global M_ options_ oo_ estim_params_ 
global bayestopt_ dsge_prior_weight

nvx = estim_params_.nvx;
nvn = estim_params_.nvn;
ncx = estim_params_.ncx;
ncn = estim_params_.ncn;
np  = estim_params_.np ;
nx  = nvx+nvn+ncx+ncn+np;

ip = nvx+nvn+ncx+ncn+1;

keyboard
load ctw_employer_surplus_mode.mat
%load ctw_employer_surplus_mean.mat

for i=1:np
      name = bayestopt_.name{ip};
      eval([name ' = xparam1(ip);'])
            disp(sprintf('%12s %12s %7.3f %12s ', ...
		   name,',',xparam1(ip),';'));
      ip = ip+1;
end
% disp('shocks;');
ip=1;
for i=1:nvx
    k = estim_params_.var_exo(i,1);   
    name = deblank(M_.exo_names(k,:));    
    %eps_startindex=strfind(name,'_eps');    
    %name=name(1:eps_startindex-1);
        eval([name ' = xparam1(ip);'])
            disp(sprintf('%12s %12s %12s %7.3f %0s ', ...
		   'stderr',name,',',xparam1(ip),';'));
    ip=ip+1;
end
disp('end;');



