function [a0,a1,a2,a3] = findcohort(sigma_a,Fa)
opts=optimset('Display','off','MaxIter',10000,'MaxFunEvals',200000,'TolFun',1e-10,'TolX',1e-10);
aa0=.001:.1:5;
a0=aa0(1);
[fold] = finda0(a0,sigma_a,Fa);
ff(1)=fold;
ix=0;
for ii = 2:length(aa0)
    a0=aa0(ii);
    [fnew] = finda0(a0,sigma_a,Fa);
    ff(ii)=fnew;
    if fnew*fold < 0
        ix=ix+1;
        II(ix)=ii;
    end
    fold=fnew;
end
if ix ~= 1
    error('fatal (finda0) failed to find a unique sign switch for a0')
end
x=[aa0(II(1)-1) aa0(II(1))];
[newx,fval,exitflag]=fzero('finda0',x,opts,sigma_a,Fa);
if abs(fval) > .1e-8 | exitflag ~= 1
    error('fatal (finda0) failed to determine a0')
end
a0=newx;
a1=newx;
a2=newx;
a3=newx;
